Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.core
Interface IModuleModel

All Known Implementing Classes:
  LibraryHandle, ModuleHandle, ReportDesignHandle

    public interface IModuleModel

The interface for the root element to store the constants.

Field Summary
`static java.lang.String` | `AUTHOR_PROP` Name of the author property.
`static java.lang.String` | `BASE_PROP` Name of the "base" property.
`static java.lang.String` | `COLOR_PALETTE_PROP` Name of the custom color palette property.
`static int` | `COMPONENT_SLOT` Identifier of the component slot.
`static java.lang.String` | `CONFIG_VARS_PROP` Name of the custom config variables property.
`static java.lang.String` | `CREATED_BY_PROP` Name of the created by property.
`static int` | `DATA_SET_SLOT` Identifier of the data set slot.
`static int` | `DATA_SOURCE_SLOT` Identifier of the data source slot.
`static java.lang.String` | `DESCRIPTION_ID_PROP` Name of the property that gives the message ID for the localized report description.
`static java.lang.String` | `DESCRIPTION_PROP` Name of the description property.
`static java.lang.String` | `HELP_GUIDE_PROP` Name of the help guide property.
`static java.lang.String` | `IMAGES_PROP` Name of the embedded images property.
`static java.lang.String` | `INCLUDE_RESOURCE_PROP` Base name of the included resource bundle file.
`static java.lang.String` | `INCLUDE_SCRIPTS_PROP` Name of the property that gives some include scripts.
`static java.lang.String` | `INITIALIZE_METHOD` Name of the method called when the report starts executing in the BIRT Report Engine.
`static java.lang.String` | `LIBRARIES_PROP` Name of the property that gives some include libraries.
`static int` | `PAGE_SLOT` Identifier of the master page slot.
`static int` | `PARAMETER_SLOT` Identifier of the parameter slot.
`static java.lang.String` | `PROPERTY_BINDINGS_PROP` Name of the "propertyBindings" property.
`static java.lang.String` | `SCRIPTLIBS_PROP` Name of the "scriptLibs" property.
`static java.lang.String` | `SUBJECT_PROP` Name of the "subject" property.Typically, the subject will be represented using keywords, key phrases, or classification codes.
`static java.lang.String` | `THEME_PROP` Name of the theme property.
`static java.lang.String` | `TITLE_ID_PROP` Name of the property that gives the message ID for the localized report title.
`static java.lang.String` | `TITLE_PROP` Name of the title property.
`static java.lang.String` | `UNITS_PROP` Name of the default units property.

Field Detail

### PARAMETER_SLOT

    static final int PARAMETER_SLOT

  Identifier of the parameter slot.

  See Also:
    Constant Field Values

### DATA_SOURCE_SLOT

    static final int DATA_SOURCE_SLOT

  Identifier of the data source slot.

  See Also:
    Constant Field Values

### DATA_SET_SLOT

    static final int DATA_SET_SLOT

  Identifier of the data set slot.

  See Also:
    Constant Field Values

### PAGE_SLOT

    static final int PAGE_SLOT

  Identifier of the master page slot.

  See Also:
    Constant Field Values

### COMPONENT_SLOT

    static final int COMPONENT_SLOT

  Identifier of the component slot.

  See Also:
    Constant Field Values

### AUTHOR_PROP

    static final java.lang.String AUTHOR_PROP

  Name of the author property.

  See Also:
    Constant Field Values

### BASE_PROP

    static final java.lang.String BASE_PROP

  Name of the "base" property.

  See Also:
    Constant Field Values

### UNITS_PROP

    static final java.lang.String UNITS_PROP

  Name of the default units property. These are the units assumed for any dimension property that does not explicitly specify units.

  See Also:
    Constant Field Values

### HELP_GUIDE_PROP

    static final java.lang.String HELP_GUIDE_PROP

  Name of the help guide property.

  See Also:
    Constant Field Values

### CREATED_BY_PROP

    static final java.lang.String CREATED_BY_PROP

  Name of the created by property. Gives the name of the tool that created the design.

  See Also:
    Constant Field Values

### TITLE_PROP

    static final java.lang.String TITLE_PROP

  Name of the title property.

  See Also:
    Constant Field Values

### TITLE_ID_PROP

    static final java.lang.String TITLE_ID_PROP

  Name of the property that gives the message ID for the localized report title.

  See Also:
    Constant Field Values

### DESCRIPTION_PROP

    static final java.lang.String DESCRIPTION_PROP

  Name of the description property.

  See Also:
    Constant Field Values

### DESCRIPTION_ID_PROP

    static final java.lang.String DESCRIPTION_ID_PROP

  Name of the property that gives the message ID for the localized report description.

  See Also:
    Constant Field Values

### COLOR_PALETTE_PROP

    static final java.lang.String COLOR_PALETTE_PROP

  Name of the custom color palette property.

  See Also:
    Constant Field Values

### CONFIG_VARS_PROP

    static final java.lang.String CONFIG_VARS_PROP

  Name of the custom config variables property.

  See Also:
    Constant Field Values

### IMAGES_PROP

    static final java.lang.String IMAGES_PROP

  Name of the embedded images property.

  See Also:
    Constant Field Values

### LIBRARIES_PROP

    static final java.lang.String LIBRARIES_PROP

  Name of the property that gives some include libraries.

  See Also:
    Constant Field Values

### INCLUDE_SCRIPTS_PROP

    static final java.lang.String INCLUDE_SCRIPTS_PROP

  Name of the property that gives some include scripts.

  See Also:
    Constant Field Values

### INCLUDE_RESOURCE_PROP

    static final java.lang.String INCLUDE_RESOURCE_PROP

  Base name of the included resource bundle file.

  See Also:
    Constant Field Values

### INITIALIZE_METHOD

    static final java.lang.String INITIALIZE_METHOD

  Name of the method called when the report starts executing in the BIRT Report Engine.

  See Also:
    Constant Field Values

### THEME_PROP

    static final java.lang.String THEME_PROP

  Name of the theme property.

  See Also:
    Constant Field Values

### PROPERTY_BINDINGS_PROP

    static final java.lang.String PROPERTY_BINDINGS_PROP

  Name of the "propertyBindings" property.

  See Also:
    Constant Field Values

### SCRIPTLIBS_PROP

    static final java.lang.String SCRIPTLIBS_PROP

  Name of the "scriptLibs" property.

  See Also:
    Constant Field Values

### SUBJECT_PROP

    static final java.lang.String SUBJECT_PROP

  Name of the "subject" property.Typically, the subject will be represented using keywords, key phrases, or classification codes.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.